<!DOCTYPE html>
<html>
  <head>
    <title>QuizPlatform</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>
    <link href="https://fonts.googleapis.com/css2?family=Roboto Slab:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.8.1/font/bootstrap-icons.min.css" integrity="sha384-ejw6H4tALu9tIQtB6gNSj8F72+eurq3s9HtbibkURgKvRd+Oc4C6kE0nc8m5u+7k" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.8.1/font/bootstrap-icons.min.css">

    <script src="https://cdn.tiny.cloud/1/7ahcdv7s2aw5qxfo8498wpaj0nw0cz5ytfj0fgl0239wa8gn/tinymce/6/tinymce.min.js" referrerpolicy="origin"></script>
    
    <script>
      tinymce.init({
        selector: '.tinymce',
        height: 500,
        menubar: false,
        plugins: [
          'advlist','autolink',
          'lists','link','image','charmap','preview','anchor','searchreplace','visualblocks','fullscreen','insertdatetime','media','table','help','wordcount'
        ],
        toolbar: 'undo redo | casechange blocks | bold italic backcolor | ' +
          'alignleft aligncenter alignright alignjustify | ' +
          'bullist numlist checklist outdent indent | removeformat | a11ycheck code table help'
      });
    </script>

    
    <%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>
    <%= javascript_importmap_tags %>
  </head>

  <body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <div class="container-fluid">
        <%= link_to 'Quiz Platform', root_path, class: 'navbar-brand' %>
      

        <% if user_signed_in? %>

          <ul class="navbar-nav">
            <li class="nav-item">
              <%= link_to 'Learning Resources', learning_resources_path, class: 'nav-link' %>
            </li>
            <li class="nav-item">
              <%= link_to 'Quiz Questions', quizzes_path, class: 'nav-link' %>
            </li>
          </ul>

        <% end %>

        <div class="navbar-nav ms-auto">
          <% if user_signed_in? %>
            <div class="nav-item dropdown"> 
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                <i class="bi bi-person-circle"></i>
              </a>
              <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                <span class="dropdown-item-text"><%= current_user.email %></span> 
                <%= link_to 'Logout', destroy_user_session_path, method: :delete, class: 'dropdown-item' %>
              </div>
            </div>
          <% else %>
            <%= link_to 'Login', new_user_session_path, class: 'nav-link' %>
            <%= link_to 'Sign Up', new_user_registration_path, class: 'nav-link' %>
          <% end %>
        </div>
      </div>
    </nav>



    <div class="container mt-3" style="padding-bottom: 20px;">
      <%= yield %>
    </div>

    <footer class="navbar navbar-dark bg-dark" style="padding: 10px;">
      <div class="container">
        <span class="navbar-text mx-auto">
          AT70.25 Full Stack Application Development | Biraj Koirala st124371 | Parkpoom Wisedri st123861
        </span>
      </div>
    </footer>

  </body>
</html>
